中国Linux公社论坛's Archiver

jiangtao9999 发表于 2012-6-8 20:11

TO haulm ,fbsplash 的 3.4.0 内核 patch

见附件

haulm 发表于 2012-6-9 01:03

只有这个也不顶事啊,grub 1 老了,不能安装,我总不能退回 2.5 正式版去实现 Live 吧。
grub2 应该也可以支持 fbspalsh,可是现在的 fbspalsh 主程序不更新一样不能够重新编译,问题多多。

[[i] 本帖最后由 haulm 于 2012-6-9 01:07 编辑 [/i]]

jiangtao9999 发表于 2012-6-9 09:23

fbsplash 根本就不是 GRUB 支持的。GRUB1 时代 mgc 也没有支持 fbsplash 啊。
GRUB1 时代倒是有一个他自己的 theme 支持扩展。具体你可以问 sejishikong 。
grub2 本身是一个小型的操作系统,不过没注意这东西也支持 theme 。

mgc 的 fbsplash 是内核补丁让内核启动后还没有挂载硬盘分区之前的 initrd 阶段就开始启动存入了 initrd 里面的 fbsplash 的主题。

jiangtao9999 发表于 2012-6-9 09:23

至于你说的 grub1 不能装,我很想知道怎么不能装。
现在的计算机还没有脱离 GRUB1 的启动原理吧?

haulm 发表于 2012-6-9 10:43

我的机器可能不一样了,EFI,不是旧的 BIOS,也许和这个无关,MI 安装 grub1 没问题,但是实系统安装 grub1 总是总线错误,没办法的。MGC 的开机动画很成熟了,我也是不得已去升级 grub2。

jiangtao9999 发表于 2012-6-9 13:41

EFI 里面,GRUB1 依然可以工作。

sejishikong 发表于 2012-6-9 14:39

[quote]原帖由 [i]jiangtao9999[/i] 于 2012-6-9 13:41 发表 [url=http://forum.linuxfans.org/redirect.php?goto=findpost&pid=4958870&ptid=197420][img]http://forum.linuxfans.org/images/common/back.gif[/img][/url]
EFI 里面,GRUB1 依然可以工作。 [/quote]
纯efi的不行的吧,至少joggler是不能用Grub1的。
mgc的grub1的动画使用的是suse的gfxmenu,这个也可以支持lilo,不过grub2暂时好像还不行。

jiangtao9999 发表于 2012-6-9 18:01

我记得 EFI 有兼容启动模式。可以启动某个分区的 superblock 里面的引导程序。
就像GRUB 启动  Windows 一样。

页: [1]

Powered by Discuz! Archiver 6.1.0F  © 2001-2007 Comsenz Inc.